---
title: TransitionEvent()
slug: Web/API/TransitionEvent/TransitionEvent
tags:
  - API
  - CSS
  - CSS3 Transitions
  - CSSOM
  - Constructor
  - Experimental
  - Reference
  - TransitionEvent
---
<p>{{APIRef("CSSOM")}}{{SeeCompatTable}}</p>

<p>The <code><strong>TransitionEvent()</strong></code> constructor returns a newly created {{domxref("TransitionEvent")}}, representing an event in relation with an transition.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>transitionEvent</em> = new TransitionEvent(<em>type<code>, </code></em>{propertyName: <em>aPropertyName</em>,
                                             elapsedTime  : <code><em>aFloat</em>,
                                             pseudoElement:<em> aPseudoElementName</em></code>});
</pre>

<h3 id="Arguments">Arguments</h3>

<p><em>The <code>TransitionEvent()</code></em><em> constructor also inherits arguments from {{domxref("Event.Event", "Event()")}}.</em></p>

<dl>
 <dt><em>type</em></dt>
 <dd>
 <p>Is a {{domxref("DOMString")}} representing the name of the type of the <code>TransitionEvent</code>. It is case-sensitive and can only be: <code>'transitionend'</code>.</p>
 </dd>
 <dt><code>propertyName</code> {{optional_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the value of the {{cssxref("property-name")}} CSS property associated with the transition. It defaults to <code>""</code>.</dd>
 <dt><code>elapsedTime</code> {{optional_inline}}</dt>
 <dd>Is <code>float</code> giving the amount of time the animation has been running, in seconds, when this event fired, excluding any time the animation was paused. For an <code>"animationstart"</code> event, <code>elapsedTime</code> is <code>0.0</code> unless there was a negative value for <code><a href="/en-US/docs/Web/CSS/animation-delay" title="The animation-delay CSS property specifies when the animation should start. This lets the animation sequence begin some time after it's applied to an element.">animation-delay</a></code>, in which case the event will be fired with <code>elapsedTime</code> containing  <code>(-1 * </code><em>delay</em><code>)</code>. It defaults to <code>0.0</code>.</dd>
 <dt><code>pseudoElement</code> {{optional_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}}, starting with <code>"::"</code>, containing the name of the <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> the animation runs on. If the animation doesn't run on a pseudo-element but on the element, an empty string: <code>""</code><code>.</code> It defaults to <code>""</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Transitions', '#dom-transitionevent-transitionevent', 'TransitionEvent()') }}</td>
   <td>{{ Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TransitionEvent.TransitionEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/CSS/Using_CSS_transitions">Using CSS transitions</a></li>
 <li>CSS properties: {{cssxref("transition")}}, {{cssxref("transition-delay")}}, {{cssxref("transition-duration")}}, {{cssxref("transition-property")}}, {{cssxref("transition-timing-function")}}.</li>
</ul>
